## linux-liquorix 6.17

=== debian/changelog ===
linux-liquorix (6.17-15~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 19 Dec 2025 08:31:14 -0800

linux-liquorix (6.17-15ubuntu1~jammy) jammy; urgency=medium

  * merge v6.17.13
  * update version to 6.17.13-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 18 Dec 2025 10:18:33 -0600

linux-liquorix (6.17-14) unstable; urgency=medium

  * merge v6.17.12
  * update version to 6.17.12-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 12 Dec 2025 13:25:01 -0600

linux-liquorix (6.17-13) unstable; urgency=medium

  * merge v6.17.11
  * update version to 6.17.11-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 07 Dec 2025 11:06:52 -0600

linux-liquorix (6.17-12) unstable; urgency=medium

  * merge v6.17.10
  * update version to 6.17.10-1

 -- Steven Barrett <steven@liquorix.net>  Mon, 01 Dec 2025 10:41:56 -0600

linux-liquorix (6.17-11) unstable; urgency=medium

  * apply optimizations to scheduler context switching
  * update version to 6.17.9-2

 -- Steven Barrett <steven@liquorix.net>  Sun, 30 Nov 2025 14:23:42 -0600

linux-liquorix (6.17-10) unstable; urgency=medium

  * merge v6.17.9
  * update version to 6.17.9-1

 -- Steven Barrett <steven@liquorix.net>  Mon, 24 Nov 2025 10:14:52 -0600

linux-liquorix (6.17-9) unstable; urgency=medium

  * merge refinements from v6.18-r1 of Project -C
  * update version to 6.17.8-2

 -- Steven Barrett <steven@liquorix.net>  Fri, 14 Nov 2025 10:32:45 -0600

linux-liquorix (6.17-8) unstable; urgency=medium

  * merge v6.17.8
  * update version to 6.17.8-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 14 Nov 2025 09:51:00 -0600

linux-liquorix (6.17-7) unstable; urgency=medium

  * merge v6.17.7
  * update version to 6.17.7-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 02 Nov 2025 16:25:44 -0600

linux-liquorix (6.17-6) unstable; urgency=medium

  * merge v6.17.6
  * update version to 6.17.6-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 30 Oct 2025 11:21:27 -0500

linux-liquorix (6.17-5) unstable; urgency=medium

  * disable CONFIG_DYNAMIC_DEBUG
  * update version to 6.17.5-3

 -- Steven Barrett <steven@liquorix.net>  Sun, 26 Oct 2025 14:47:27 -0500

linux-liquorix (6.17-4) unstable; urgency=medium

  * sync console log config with Arch Linux upstream
  * update version to 6.17.5-2

 -- Steven Barrett <steven@liquorix.net>  Sun, 26 Oct 2025 14:00:10 -0500

linux-liquorix (6.17-3) unstable; urgency=medium

  * merge v6.17.5
  * update version to 6.17.5-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 24 Oct 2025 13:47:26 -0500

linux-liquorix (6.17-2) unstable; urgency=medium

  * merge v6.17.4
  * update version to 6.17.4-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 19 Oct 2025 11:30:19 -0500

linux-liquorix (6.17-1) unstable; urgency=medium

  * switch to v6.17
  * merge v6.17.3
  * update version to 6.17.3-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 17 Oct 2025 14:38:42 -0500

linux-liquorix (6.16-11) unstable; urgency=medium

  * merge v6.16.12
  * update version to 6.16.12-1

 -- Steven Barrett <steven@liquorix.net>  Tue, 14 Oct 2025 08:58:22 -0500

linux-liquorix-2.6 (2.6.37-3) unstabl
