## linux-liquorix 6.18

=== debian/changelog ===
linux-liquorix (6.18-17~mx25ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 01 Mar 2026 07:37:54 -0800

linux-liquorix (6.18-17ubuntu1~noble) noble; urgency=medium

  * unset CONFIG_PARAVIRT_SPINLOCKS
  * update version to 6.18.15-3

 -- Steven Barrett <steven@liquorix.net>  Sat, 28 Feb 2026 18:40:32 -0600

linux-liquorix (6.18-16) unstable; urgency=medium

  * fix build failure with 6.18.15 due to host flags override
   - unset KBUILD_HOSTCFLAGS, HOSTCFLAGS, KBUILD_HOSTLDFLAGS from environment
     instead of overriding to empty on the make command line
  * update version to 6.18.15-2

 -- Steven Barrett <steven@liquorix.net>  Sat, 28 Feb 2026 12:33:07 -0600

linux-liquorix (6.18-15) unstable; urgency=medium

  * merge v6.18.15
  * update version to 6.18.15-1

 -- Steven Barrett <steven@liquorix.net>  Sat, 28 Feb 2026 11:53:14 -0600

linux-liquorix (6.18-14) unstable; urgency=medium

  * merge v6.18.13
  * update version to 6.18.13-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 19 Feb 2026 16:28:15 -0600

linux-liquorix (6.18-13) unstable; urgency=medium

  * merge v6.18.12
  * update version to 6.18.12-1

 -- Steven Barrett <steven@liquorix.net>  Wed, 18 Feb 2026 12:32:17 -0600

linux-liquorix (6.18-12) unstable; urgency=medium

  * disable BTF for modules
  * update version to 6.18.10-2

 -- Steven Barrett <steven@liquorix.net>  Sun, 15 Feb 2026 19:44:23 -0600

linux-liquorix (6.18-11) unstable; urgency=medium

  * merge v6.18.10
  * disable split lock mitigation by default
  * disable split lock detection by default through cmdline
  * update version to 6.18.10-1

 -- Steven Barrett <steven@liquorix.net>  Sat, 14 Feb 2026 10:12:36 -0600

linux-liquorix (6.18-10) unstable; urgency=medium

  * merge v6.18.9
  * update version to 6.18.9-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 08 Feb 2026 18:32:29 -0600

linux-liquorix (6.18-9) unstable; urgency=medium

  * merge v6.18.8
  * implement default values for cgroup stubs in Project-C
  * update version to 6.18.8-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 30 Jan 2026 18:12:41 -0600

linux-liquorix (6.18-8) unstable; urgency=medium

  * merge v6.18.7
  * refresh config for 6.18.7
  * update version to 6.18.7-1

 -- Steven Barrett <steven@liquorix.net>  Sat, 24 Jan 2026 09:39:25 -0600

linux-liquorix (6.18-7) unstable; urgency=medium

  * fix Project-C performance regression
   - Revert "sched/alt: Rework sched_idle_mask"
  * update version to 6.18.6-2

 -- Steven Barrett <steven@liquorix.net>  Fri, 23 Jan 2026 09:29:59 -0600

linux-liquorix (6.18-6) unstable; urgency=medium

  * merge v6.18.6
  * update version to 6.18.6-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 18 Jan 2026 08:13:29 -0600

linux-liquorix (6.18-5) unstable; urgency=medium

  * disable CONFIG_PREEMPT_DYNAMIC
  * merge v6.18.5
  * update version to 6.18.5-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 15 Jan 2026 17:29:30 -0600

linux-liquorix (6.18-4) unstable; urgency=medium

  * merge v6.18.4
  * update version to 6.18.4-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 08 Jan 2026 16:23:55 -0600

linux-liquorix (6.18-3) unstable; urgency=medium

  * merge v6.18.3
  * update version to 6.18.3-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 04 Jan 2026 11:21:27 -0600

linux-liquorix (6.18-2) unstable; urgency=medium

  * switch from NO_HZ_IDLE to NO_HZ_FULL
  * update version to 6.18.2-2

 -- Steven Barrett <steven@liquorix.net>  Mon, 29 Dec 2025 11:35:39 -0600

linux-liquorix (6.18-1) unstable; urgency=medium

  * switch to v6.18
  * merge v6.18.2
  * update version to 6.18.2-1

 -- Steven Barrett <steven@liquorix.net>  Wed, 24 Dec 2025 12:20:35 -0600

linux-liquorix (6.17-15) unstable; urgency=medium

  * merge v6.17.13
  * update version to 6.17.13-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 18 Dec 2025 10:18:33 -0600
